OpenSIPs on CentOS

classic Classic list List threaded Threaded
2 messages Options
Reply | Threaded
Open this post in threaded view
|

OpenSIPs on CentOS

Darrin Henshaw

Hello,

 

First time poster here. I’m running a few Asterisk 1.2 systems across geographically different areas. At our main site we are running an Asterisk cluster, using Heartbeat, it works well, but I’m always looking at improving it. To that extent I want to test out OpenSIPS as a load balancing option in my test environment.

 

My manager, who I have to follow guidelines set by him, is a large fan of RPM installations rather than source. Due to that I’m trying to build an RPM of OpenSIPS to be used on EL4. He also like using yum when it comes to updating and installing since it will handle dependencies fairly well.

 

Now onto my actual reason for emailing. In attempting to build the RPM I can get most of the dependencies installed, with the exception of libxml2. That’s the kicker. I can get the rpm for it from ftp://xmlsoft.org/libxml2/, but there are a fair amount of dependencies for it, and I don’t have the correct repositories for it. My questions are as follows:

 

1.       Does anyone know a fairly easy way I can nab the dependencies for libxml2? RPM’s or yum repos would be best.

2.       What would be the downside of simply ignoring the dependency for libxml2, and CPL? The actual spec file supplied states:

%%package  cpl

Summary:  CPL interpreter engine for the OpenSIPS.

Group:    System Environment/Daemons

Requires: opensips = %ver

BuildPrereq:  libxml2-dev

 

Thanks.

 

Cheers,

 

Darrin Henshaw



This email and its attachments may be confidential and are intended solely for the use of the individual or parties’ to whom it is addressed. All comments are solely those of the author and do not necessarily represent those of Ignition. If you are not the intended recipient of this email and its attachments, you must take no action based upon them, nor must you copy or show them to anyone. Please contact the sender if you believe you have received this email in error. Thanks for considering the environmental impact before printing this email.

_______________________________________________
Users mailing list
[hidden email]
http://lists.opensips.org/cgi-bin/mailman/listinfo/users
Reply | Threaded
Open this post in threaded view
|

Re: OpenSIPs on CentOS

Bogdan-Andrei Iancu
Hi Darren,

This was started on a separate thread, but the sake of completion, see
the online comments.

Darrin Henshaw wrote:

>
> Hello,
>
> First time poster here. I’m running a few Asterisk 1.2 systems across
> geographically different areas. At our main site we are running an
> Asterisk cluster, using Heartbeat, it works well, but I’m always
> looking at improving it. To that extent I want to test out OpenSIPS as
> a load balancing option in my test environment.
>
> My manager, who I have to follow guidelines set by him, is a large fan
> of RPM installations rather than source. Due to that I’m trying to
> build an RPM of OpenSIPS to be used on EL4. He also like using yum
> when it comes to updating and installing since it will handle
> dependencies fairly well.
>
Marc just provided a RPM repo for OpenSIPS - http://centos.leurent.eu/ 
and read the README.txt

> Now onto my actual reason for emailing. In attempting to build the RPM
> I can get most of the dependencies installed, with the exception of
> libxml2. That’s the kicker. I can get the rpm for it from
> ftp://xmlsoft.org/libxml2/, but there are a fair amount of
> dependencies for it, and I don’t have the correct repositories for it.
> My questions are as follows:
>
> 1. Does anyone know a fairly easy way I can nab the dependencies for
> libxml2? RPM’s or yum repos would be best.
>
check the rpmfind.net site

http://rpmfind.net/linux/rpm2html/search.php?query=libxml2&submit=Search+...

>
> 2. What would be the downside of simply ignoring the dependency for
> libxml2, and CPL? The actual spec file supplied states:
>
> %%package cpl
>
> Summary: CPL interpreter engine for the OpenSIPS.
>
> Group: System Environment/Daemons
>
> Requires: opensips = %ver
>
> BuildPrereq: libxml2-dev
>

if you do not need CPL (Call Processing Language interpretor) and
presence stuff, you can ignore the libxml2 dependency.

Best regards,
Bogdan

>
> Thanks.
>
> Cheers,
>
> Darrin Henshaw
>
>
> ------------------------------------------------------------------------
> This email and its attachments may be confidential and are intended
> solely for the use of the individual or parties’ to whom it is
> addressed. All comments are solely those of the author and do not
> necessarily represent those of Ignition. If you are not the intended
> recipient of this email and its attachments, you must take no action
> based upon them, nor must you copy or show them to anyone. Please
> contact the sender if you believe you have received this email in
> error. Thanks for considering the environmental impact before printing
> this email.
> ------------------------------------------------------------------------
>
> _______________________________________________
> Users mailing list
> [hidden email]
> http://lists.opensips.org/cgi-bin/mailman/listinfo/users
>  


_______________________________________________
Users mailing list
[hidden email]
http://lists.opensips.org/cgi-bin/mailman/listinfo/users